return
{
    {
        coinBonus=25,
        healthMeatDropProbability=0.25,
        key="TutorialMovePunch",
        luaPath="Levels/TutorialMovePunch.lua",
        mapPosition=ccp(414, 1306),
        neighbourhoodKey="Neighbourhood1",
        order=1,
        soundKey="Level_01",
        starThreshold1=1193,
        starThreshold2=2983,
        starThreshold3=5967,
    },
    {
        coinBonus=25,
        healthMeatDropProbability=0.25,
        key="TutorialUppercut",
        luaPath="Levels/TutorialUppercut.lua",
        mapPosition=ccp(699, 1351),
        neighbourhoodKey="Neighbourhood1",
        order=2,
        soundKey="Level_02",
        sourceLevelKey="TutorialMovePunch",
        starThreshold1=15318,
        starThreshold2=38295,
        starThreshold3=76590,
        unlockRequirement=LevelRequirement:create("TutorialMovePunch"),
    },
    {
        coinBonus=25,
        healthMeatDropProbability=0.2,
        key="MeleeThugs1",
        luaPath="Levels/MeleeThugs1.lua",
        mapPosition=ccp(440, 1118),
        neighbourhoodKey="Neighbourhood1",
        order=3,
        soundKey="Level_03",
        sourceLevelKey="TutorialUppercut",
        starThreshold1=37888,
        starThreshold2=94721,
        starThreshold3=189442,
        unlockRequirement=LevelRequirement:create("TutorialUppercut"),
    },
    {
        coinBonus=25,
        healthMeatDropProbability=0.2,
        key="BossBrute",
        luaPath="Levels/BossBrute.lua",
        mapPosition=ccp(350, 913),
        neighbourhoodKey="Neighbourhood1",
        order=4,
        soundKey="Level_04",
        sourceLevelKey="MeleeThugs1",
        starThreshold1=13030,
        starThreshold2=32576,
        starThreshold3=65152,
        unlockRequirement=LevelRequirement:create("MeleeThugs1"),
    },
    {
        coinBonus=25,
        healthMeatDropProbability=0.1,
        key="TimeAttackThugs1",
        luaPath="Levels/TimeAttackThugs1.lua",
        mapPosition=ccp(641, 1094),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood1",
        order=5,
        soundKey="Level_05",
        sourceLevelKey="BossBrute",
        starThreshold1=40545,
        starThreshold2=101362,
        starThreshold3=202725,
        timeLimitInSeconds=120,
        unlockRequirement=LevelRequirement:create("BossBrute"),
    },
    {
        coinBonus=50,
        healthMeatDropProbability=0.1,
        key="TutorialThrow",
        luaPath="Levels/TutorialThrow.lua",
        mapPosition=ccp(876, 1055),
        neighbourhoodKey="Neighbourhood2",
        order=6,
        soundKey="Level_06",
        sourceLevelKey="TimeAttackThugs1",
        starThreshold1=6072,
        starThreshold2=15181,
        starThreshold3=30363,
        unlockRequirement=LevelRequirement:create("TimeAttackThugs1"),
    },
    {
        coinBonus=50,
        healthMeatDropProbability=0.1,
        key="TimeAttackThugsBoomers1", -- // TODO: Fix these lies; actually the special tutorial, swapped with below to preserve level key order
        luaPath="Levels/TimeAttackThugsBoomers1.lua",
        mapPosition=ccp(684, 894),
        neighbourhoodKey="Neighbourhood2",
        order=7,
        soundKey="Level_07",
        sourceLevelKey="TutorialThrow",
        starThreshold1=39560,
        starThreshold2=98901,
        starThreshold3=197802,
        unlockRequirement=LevelRequirement:create("TutorialThrow"),
    },
    {
        coinBonus=50,
        healthMeatDropProbability=0.1,
        key="TutorialSpecial", -- // TODO: Fix these lies; actually a melee level, swapped with above to preserve level key order
        luaPath="Levels/TutorialSpecial.lua",
        mapPosition=ccp(631, 714),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood2",
        order=8,
        soundKey="Level_08",
        sourceLevelKey="TimeAttackThugsBoomers1",
        starThreshold1=28162,
        starThreshold2=70406,
        starThreshold3=140812,
        timeLimitInSeconds=105,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomers1"),
    },
    {
        coinBonus=75,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutes1",
        luaPath="Levels/MeleeThugsBoomersBrutes1.lua",
        mapPosition=ccp(565, 459),
        neighbourhoodKey="Neighbourhood3",
        order=9,
        soundKey="Level_09",
        sourceLevelKey="TutorialSpecial",
        starThreshold1=52685,
        starThreshold2=131712,
        starThreshold3=263425,
        unlockRequirement=LevelRequirement:create("TutorialSpecial"),
    },
    {
        coinBonus=75,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomers1",
        luaPath="Levels/MeleeThugsBoomers1.lua",
        mapPosition=ccp(782, 320),
        neighbourhoodKey="Neighbourhood3",
        order=10,
        soundKey="Level_10",
        sourceLevelKey="MeleeThugsBoomersBrutes1",
        starThreshold1=23908,
        starThreshold2=59771,
        starThreshold3=119543,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutes1"),
    },
    {
        coinBonus=75,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomers2",
        luaPath="Levels/TimeAttackThugsBoomers2.lua",
        mapPosition=ccp(926, 473),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood3",
        order=11,
        soundKey="Level_11",
        sourceLevelKey="MeleeThugsBoomers1",
        starThreshold1=32845,
        starThreshold2=82113,
        starThreshold3=164227,
        timeLimitInSeconds=105,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomers1"),
    },
    {
        coinBonus=100,
        healthMeatDropProbability=0.05,
        key="BossFatty",
        luaPath="Levels/BossFatty.lua",
        mapPosition=ccp(1185, 695),
        neighbourhoodKey="Neighbourhood4",
        order=12,
        soundKey="Level_12",
        sourceLevelKey="TimeAttackThugsBoomers2",
        starThreshold1=63562,
        starThreshold2=158907,
        starThreshold3=317814,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomers2"),
    },
    {
        coinBonus=100,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomersBrutes1",
        luaPath="Levels/TimeAttackThugsBoomersBrutes1.lua",
        mapPosition=ccp(1209, 907),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood4",
        order=13,
        soundKey="Level_13",
        sourceLevelKey="BossFatty",
        starThreshold1=88245,
        starThreshold2=220614,
        starThreshold3=441228,
        timeLimitInSeconds=90,
        unlockRequirement=LevelRequirement:create("BossFatty"),
    },
    {
        coinBonus=100,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutes2",
        luaPath="Levels/MeleeThugsBoomersBrutes2.lua",
        mapPosition=ccp(1071, 1104),
        neighbourhoodKey="Neighbourhood4",
        order=14,
        soundKey="Level_14",
        sourceLevelKey="TimeAttackThugsBoomersBrutes1",
        starThreshold1=132600,
        starThreshold2=331501,
        starThreshold3=663003,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomersBrutes1"),
    },
    {
        coinBonus=125,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomers2",
        luaPath="Levels/MeleeThugsBoomers2.lua",
        mapPosition=ccp(947, 1334),
        neighbourhoodKey="Neighbourhood5",
        order=15,
        soundKey="Level_15",
        sourceLevelKey="MeleeThugsBoomersBrutes2",
        starThreshold1=323724,
        starThreshold2=809310,
        starThreshold3=1618620,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutes2"),
    },
    {
        coinBonus=125,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersFatties1",
        luaPath="Levels/MeleeThugsBoomersFatties1.lua",
        mapPosition=ccp(1243, 1246),
        neighbourhoodKey="Neighbourhood5",
        order=16,
        soundKey="Level_16",
        sourceLevelKey="MeleeThugsBoomers2",
        starThreshold1=204121,
        starThreshold2=510302,
        starThreshold3=1020605,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomers2"),
    },
    {
        coinBonus=125,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomersBrutes2",
        luaPath="Levels/TimeAttackThugsBoomersBrutes2.lua",
        mapPosition=ccp(1459, 1174),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood5",
        order=17,
        soundKey="Level_17",
        sourceLevelKey="MeleeThugsBoomersFatties1",
        starThreshold1=246531,
        starThreshold2=616327,
        starThreshold3=1232655,
        timeLimitInSeconds=90,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersFatties1"),
    },
    {
        coinBonus=150,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutesFatties1",
        luaPath="Levels/MeleeThugsBoomersBrutesFatties1.lua",
        mapPosition=ccp(1496, 932),
        neighbourhoodKey="Neighbourhood6",
        order=18,
        soundKey="Level_18",
        sourceLevelKey="TimeAttackThugsBoomersBrutes2",
        starThreshold1=200100,
        starThreshold2=500250,
        starThreshold3=1000500,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomersBrutes2"),
    },
    {
        coinBonus=150,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomersBrutesFatties1",
        luaPath="Levels/TimeAttackThugsBoomersBrutesFatties1.lua",
        mapPosition=ccp(1674, 695),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood6",
        order=19,
        soundKey="Level_19",
        sourceLevelKey="MeleeThugsBoomersBrutesFatties1",
        starThreshold1=302457,
        starThreshold2=756142,
        starThreshold3=1512285,
        timeLimitInSeconds=105,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutesFatties1"),
    },
    {
        coinBonus=150,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutesFatties2",
        luaPath="Levels/MeleeThugsBoomersBrutesFatties2.lua",
        mapPosition=ccp(1423, 695),
        neighbourhoodKey="Neighbourhood6",
        order=20,
        soundKey="Level_20",
        sourceLevelKey="TimeAttackThugsBoomersBrutesFatties1",
        starThreshold1=532195,
        starThreshold2=1330488,
        starThreshold3=2660976,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomersBrutesFatties1"),
    },
    {
        coinBonus=175,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomersBrutesFatties2",
        luaPath="Levels/TimeAttackThugsBoomersBrutesFatties2.lua",
        mapPosition=ccp(1396, 502),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood7",
        order=21,
        soundKey="Level_21",
        sourceLevelKey="MeleeThugsBoomersBrutesFatties2",
        starThreshold1=1149841,
        starThreshold2=2874602,
        starThreshold3=5749205,
        timeLimitInSeconds=165,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutesFatties2"),
    },
    {
        coinBonus=175,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersFatties2",
        luaPath="Levels/MeleeThugsBoomersFatties2.lua",
        mapPosition=ccp(1276, 373),
        neighbourhoodKey="Neighbourhood7",
        order=22,
        soundKey="Level_22",
        sourceLevelKey="TimeAttackThugsBoomersBrutesFatties2",
        starThreshold1=484382,
        starThreshold2=1210957,
        starThreshold3=2421914,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomersBrutesFatties2"),
    },
    {
        coinBonus=175,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutesFatties3",
        luaPath="Levels/MeleeThugsBoomersBrutesFatties3.lua",
        mapPosition=ccp(1551, 363),
        neighbourhoodKey="Neighbourhood7",
        order=23,
        soundKey="Level_23",
        sourceLevelKey="MeleeThugsBoomersFatties2",
        starThreshold1=466498,
        starThreshold2=1166246,
        starThreshold3=2332492,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersFatties2"),
    },
    {
        coinBonus=175,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutes3",
        luaPath="Levels/MeleeThugsBoomersBrutes3.lua",
        mapPosition=ccp(1745, 461),
        neighbourhoodKey="Neighbourhood7",
        order=24,
        soundKey="Level_24",
        sourceLevelKey="MeleeThugsBoomersBrutesFatties3",
        starThreshold1=1045387,
        starThreshold2=2613469,
        starThreshold3=5226939,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutesFatties3"),
    },
    {
        coinBonus=200,
        healthMeatDropProbability=0.05,
        key="TimeAttackThugsBoomersFatties1",
        luaPath="Levels/TimeAttackThugsBoomersFatties1.lua",
        mapPosition=ccp(1885, 783),
        mode=LevelMode_Timed,
        neighbourhoodKey="Neighbourhood8",
        order=25,
        soundKey="Level_25",
        sourceLevelKey="MeleeThugsBoomersBrutes3",
        starThreshold1=900789,
        starThreshold2=2251972,
        starThreshold3=4503945,
        timeLimitInSeconds=165,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutes3"),
    },
    {
        coinBonus=200,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBrutesFatties1",
        luaPath="Levels/MeleeThugsBrutesFatties1.lua",
        mapPosition=ccp(1861, 1016),
        neighbourhoodKey="Neighbourhood8",
        order=26,
        soundKey="Level_26",
        sourceLevelKey="TimeAttackThugsBoomersFatties1",
        starThreshold1=2903601,
        starThreshold2=7259002,
        starThreshold3=14518005,
        unlockRequirement=LevelRequirement:create("TimeAttackThugsBoomersFatties1"),
    },
    {
        coinBonus=200,
        healthMeatDropProbability=0.05,
        key="MeleeThugsBoomersBrutesFatties4",
        luaPath="Levels/MeleeThugsBoomersBrutesFatties4.lua",
        mapPosition=ccp(2072, 902),
        neighbourhoodKey="Neighbourhood8",
        order=27,
        soundKey="Level_27",
        sourceLevelKey="MeleeThugsBrutesFatties1",
        starThreshold1=2278462,
        starThreshold2=5696156,
        starThreshold3=11392312,
        unlockRequirement=LevelRequirement:create("MeleeThugsBrutesFatties1"),
    },
    {
        coinBonus=225,
        healthMeatDropProbability=0.05,
        key="metro3-1",
        luaPath="Levels/metro3-1.lua",
        mapPosition=ccp(1961, 437),
        neighbourhoodKey="Neighbourhood9",
        order=28,
        soundKey="Level_28",
        sourceLevelKey="MeleeThugsBoomersBrutesFatties4",
        starThreshold1=1000,
        starThreshold2=100000,
        starThreshold3=10000000,
        unlockRequirement=LevelRequirement:create("MeleeThugsBoomersBrutesFatties4"),
    },
    {
        coinBonus=225,
        healthMeatDropProbability=0.05,
        key="metro3-2",
        luaPath="Levels/metro3-2.lua",
        mapPosition=ccp(2123, 361),
        neighbourhoodKey="Neighbourhood9",
        order=29,
        soundKey="Level_29",
        sourceLevelKey="metro3-1",
        starThreshold1=1000,
        starThreshold2=100000,
        starThreshold3=10000000,
        unlockRequirement=LevelRequirement:create("metro3-1"),
    },
    {
        coinBonus=225,
        healthMeatDropProbability=0.05,
        key="metro3-3",
        luaPath="Levels/metro3-3.lua",
        mapPosition=ccp(2289, 437),
        neighbourhoodKey="Neighbourhood9",
        order=30,
        soundKey="Level_30",
        sourceLevelKey="metro3-2",
        starThreshold1=1000,
        starThreshold2=100000,
        starThreshold3=10000000,
        unlockRequirement=LevelRequirement:create("metro3-2"),
    },
}
