return
{
    -- UI tutorials, blocking, only shown once.
    {
        levelOrderRequired=1,
        luaPath="Scripts/Tutorials/UI/TutorialMap.lua",
        tutorialTrigger=GameEventType_GymEnter
    },
    {
        coinBonus=200,
        levelOrderRequired=2,
        luaPath="Scripts/Tutorials/UI/TutorialBuyUpgrades.lua",
        tutorialTrigger=GameEventType_GymEnter
    },
    {
        levelOrderRequired=4,
        luaPath="Scripts/Tutorials/UI/TutorialBoosters.lua",
        toothBonus=30,
        tutorialTrigger=GameEventType_BoosterShopEnter,
    },
    {
        levelOrderRequired=5,
        luaPath="Scripts/Tutorials/UI/TutorialNeighbourhoodCollection.lua",
        tutorialTrigger=GameEventType_GymEnter
    },
    {
        coinBonus=500,
        levelOrderRequired=6,
        luaPath="Scripts/Tutorials/UI/TutorialBuySpecials.lua",
        tutorialTrigger=GameEventType_GymEnter
    },
    -- // TODO: Add this back in when reconquering actually works.
    --{
    --    levelOrderRequired=8,
    --    luaPath="Scripts/Tutorials/UI/TutorialNeighbourhoodReconquer.lua",
    --    tutorialTrigger=GameEventType_GymEnter
    --},
    {
        levelOrderRequired=7,
        luaPath="Scripts/Tutorials/UI/TutorialBuyCurrency.lua",
        tutorialTrigger=GameEventType_GymEnter
    },
    {
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/UI/TutorialRevive.lua",
        toothBonus=15,
        tutorialTrigger=GameEventType_Revive
    },
    {
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/UI/TutorialLifeRefill.lua",
        toothBonus=30,
        tutorialTrigger=GameEventType_NoMoreLives
    },
    -- In-game tutorials, non-blocking, always shown
    {
        filter="TutorialMove",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialMove.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialJab1",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialJab1.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialJab2",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialJab2.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialAvoid",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialAvoid.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialUppercut1",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialUppercut1.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialUppercut2",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialUppercut2.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialProps1",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialProps1.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialDodge",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialDodge.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialTimeAttack",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialTimeAttack.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialThrow1",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialThrow1.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialThrow2",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialThrow2.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialSpecial1",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialSpecial1.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
    {
        filter="TutorialSpecial2",
        levelOrderRequired=-1,
        luaPath="Scripts/Tutorials/InGame/TutorialSpecial2.lua",
        permanent=true,
        tutorialTrigger=GameEventType_BattlezoneStart
    },
}
