-- TODO: Use safe sandboxed environment
--require 'Scripts/safe_load.lua'

enemiesData = CCDictionary:create()

-- BOOMER
data = BoomerData:create("Boomer1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(2)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setHealth(1)
data:setAnticipationTime(2.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(50.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(215, 30, 95))
data:setGreenColor(ccc3(235, 230, 197))
data:setFaceFile("icon_boomer.png")
data:setName("Stacy")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BoomerData:create("Boomer2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(4)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setHealth(1)
data:setAnticipationTime(1.6)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(70.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(255, 36, 36))
data:setGreenColor(ccc3(255, 246, 17))
data:setFaceFile("icon_boomer.png")
data:setName("Vicky")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BoomerData:create("Boomer3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(6)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setHealth(1)
data:setAnticipationTime(1.2)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(90.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(164, 15, 119))
data:setGreenColor(ccc3(127, 255, 139))
data:setFaceFile("icon_boomer.png")
data:setName("Tilly")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

-- BRUTE
data = BruteData:create("Brute1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(3)
data:setCoinsDroppedMax(5)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setHealth(150)
data:setAnticipationTime(1.5)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.0)
data:setMoveSpeed(60.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(0, 171, 153))
data:setGreenColor(ccc3(217, 156, 74))
data:setBlueColor(ccc3(28, 46, 47))
data:setFaceFile("icon_brute.png")
data:setName("Tuco")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = BruteData:create("Brute2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(2)
data:setCoinsDroppedMin(4)
data:setCoinsDroppedMax(8)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setHealth(250)
data:setAnticipationTime(1.1)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(75.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(96, 239, 119))
data:setGreenColor(ccc3(234, 184, 98))
data:setBlueColor(ccc3(99, 21, 72))
data:setFaceFile("icon_brute.png")
data:setName("Hector")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = BruteData:create("Brute3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(3)
data:setCoinsDroppedMin(5)
data:setCoinsDroppedMax(11)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setHealth(350)
data:setAnticipationTime(0.7)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(90.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(107, 213, 248))
data:setGreenColor(ccc3(167, 94, 36))
data:setBlueColor(ccc3(233, 66, 127))
data:setFaceFile("icon_brute.png")
data:setName("Gus")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- FATTY
data = FattyData:create("Fatty1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(2)
data:setCoinsDroppedMin(4)
data:setCoinsDroppedMax(6)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setHealth(300)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(1.05)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(255, 35, 232))
data:setGreenColor(ccc3(243, 218, 99))
data:setBlueColor(ccc3(72, 203, 118))
data:setFaceFile("icon_fatty.png")
data:setName("MacDonald")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = FattyData:create("Fatty2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(3)
data:setCoinsDroppedMin(5)
data:setCoinsDroppedMax(10)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setHealth(400)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(0.9)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.25)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(0, 203, 255))
data:setGreenColor(ccc3(198, 130, 57))
data:setBlueColor(ccc3(255, 231, 22))
data:setFaceFile("icon_fatty.png")
data:setName("MacDuff")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = FattyData:create("Fatty3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(4)
data:setCoinsDroppedMin(6)
data:setCoinsDroppedMax(14)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setHealth(500)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(0.75)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(80, 255, 81))
data:setGreenColor(ccc3(255, 243, 181))
data:setBlueColor(ccc3(255, 46, 77))
data:setFaceFile("icon_fatty.png")
data:setName("MacLean")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- SLIDER
data = SliderData:create("Slider1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Slider)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(9)
data:setCoinsDroppedMax(9)
data:setDamage(2)
data:setHealth(150)
data:setBlockCountRetaliationThreshold(4)
data:setWakeHurtCountThreshold(4)
data:setUppercutStunTime(4.0)
data:setAnticipationTime(0.8)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 12))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(0, 255, 0))
data:setGreenColor(ccc3(0, 255, 0))
data:setBlueColor(ccc3(0, 255, 0))
data:setFaceFile("icon_thug.png")
data:setName("Courtney")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- THUG
data = ThugData:create("Thug1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(3)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(1)
data:setHealth(50)
data:setAnticipationTime(0.8)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.5)
data:setMoveSpeed(110.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(0, 255, 98))
data:setGreenColor(ccc3(217, 226, 95))
data:setBlueColor(ccc3(126, 22, 138))
data:setFaceFile("icon_thug.png")
data:setName("Sid")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(4)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(1)
data:setHealth(70)
data:setAnticipationTime(0.6)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.0)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(218, 48, 255))
data:setGreenColor(ccc3(108, 65, 35))
data:setBlueColor(ccc3(96, 217, 155))
data:setFaceFile("icon_thug.png")
data:setName("Lex")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(5)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(2)
data:setHealth(90)
data:setAnticipationTime(0.4)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(130.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(255, 0, 98))
data:setGreenColor(ccc3(232, 176, 55))
data:setBlueColor(ccc3(65, 34, 126))
data:setFaceFile("icon_thug.png")
data:setName("Rod")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug4")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(6)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(2)
data:setHealth(110)
data:setAnticipationTime(0.2)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(140.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(0, 254, 255))
data:setGreenColor(ccc3(255, 182, 162))
data:setBlueColor(ccc3(146, 0, 45))
data:setFaceFile("icon_thug.png")
data:setName("Ice")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- TUTORIAL DUMMIES
data = DummyData:create("PunchDummy")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_NotAttackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_Punch + DamageType_Uppercut + DamageType_Special)
data:setEnemyType(EnemyType_Dummy)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(true)
data:setStatic(true)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(2)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(0)
data:setHealth(30)
data:setAnticipationTime(0.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(1.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(500.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(40.0, 28.28))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setName("Barry")
data:setSoundPrefix("Barrel")
data:addAnimationFile("dummy_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = DummyData:create("UppercutDummy")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_NotAttackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_Uppercut)
data:setEnemyType(EnemyType_Dummy)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(true)
data:setStatic(true)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(2)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(0)
data:setHealth(1)
data:setAnticipationTime(0.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(1.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(500.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(40.0, 28.28))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setName("Barry")
data:setSoundPrefix("Barrel")
data:addAnimationFile("dummy_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = DummyData:create("ThrowDummy")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_NotAttackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_NotAttackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_Throw)
data:setEnemyType(EnemyType_Dummy)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(true)
data:setStatic(true)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(2)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(0)
data:setHealth(1)
data:setAnticipationTime(0.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(1.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(500.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(40.0, 28.28))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setName("Barry")
data:setSoundPrefix("Barrel")
data:addAnimationFile("dummy_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = DummyData:create("SpecialDummy")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_NotAttackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_Special)
data:setEnemyType(EnemyType_Dummy)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(true)
data:setStatic(true)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(2)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(0)
data:setHealth(30)
data:setAnticipationTime(0.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(1.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(500.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(40.0, 28.28))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setName("Barry")
data:setSoundPrefix("Barrel")
data:addAnimationFile("dummy_animations")
enemiesData:setObject(data, data:getKey():getCString())

return enemiesData
