-- TODO: Use safe sandboxed environment
--require 'Scripts/safe_load.lua'

specialAttacks = ShopGroup:create("SpecialAttacks")

item = ShopItem:create("Typhoon")
item:addAnimationFile("hero1_typhoon_animation")
item:setShopImagePath("Images/UI/Gym/skill_typhoon.png")
item:setDescription("FistOfTheHeavensDescription")
item:getBuyCosts():addCost(CoinCost:create(500))
typhoonTrigger = ActiveTrigger:create("Special")
typhoonTrigger:addEffect(Typhoon:create(0.5, 6.0))
typhoonTrigger:setRequirement(ComboSpecialCountRequirement:create(12))
item:getTriggerDispatcher():addActiveTrigger(typhoonTrigger)
specialAttacks:getShopObjects():addObject(item)

item = ShopItem:create("OrbitalPunch")
item:addAnimationFile("hero1_orbital_animation")
item:setShopImagePath("Images/UI/Gym/skill_orbital.png")
item:setDescription("OrbitalPunchDescription")
item:getBuyCosts():addCost(CoinCost:create(1000))
orbitalPunchTrigger = ActiveTrigger:create("Special")
orbitalPunchTrigger:addEffect(OrbitalPunch:create(10, 3))
orbitalPunchTrigger:setRequirement(ComboSpecialCountRequirement:create(16))
item:getTriggerDispatcher():addActiveTrigger(orbitalPunchTrigger)
specialAttacks:getShopObjects():addObject(item)

item = ShopItem:create("EaglePunch")
item:addAnimationFile("hero1_eagle_animation")
item:setShopImagePath("Images/UI/Gym/skill_eagle.png")
item:setDescription("EaglePunchDescription")
item:getBuyCosts():addCost(CoinCost:create(1500))
eaglePunchTrigger = ActiveTrigger:create("Special")
eaglePunchTrigger:addEffect(EaglePunch:create(5))
eaglePunchTrigger:setRequirement(ComboSpecialCountRequirement:create(20))
item:getTriggerDispatcher():addActiveTrigger(eaglePunchTrigger)
specialAttacks:getShopObjects():addObject(item)

item = ShopItem:create("FistOfTheHeavens")
item:addAnimationFile("hero1_cast_animation")
item:setShopImagePath("Images/UI/Gym/skill_heavens.png")
item:setDescription("FistOfTheHeavensDescription")
item:getBuyCosts():addCost(CoinCost:create(2000))
fistOfTheHeavensTrigger = ActiveTrigger:create("Special")
fistOfTheHeavensTrigger:addEffect(FistOfTheHeavens:create(5))
fistOfTheHeavensTrigger:setRequirement(ComboSpecialCountRequirement:create(24))
item:getTriggerDispatcher():addActiveTrigger(fistOfTheHeavensTrigger)
specialAttacks:getShopObjects():addObject(item)

item = ShopItem:create("PoultryRain")
item:addAnimationFile("hero1_cast_animation")
item:addAnimationFile("hero1_poultry_animation")
item:addAnimationFile("boomer_explode")
item:setShopImagePath("Images/UI/Gym/skill_poultry.png")
item:setDescription("PoultryRainDescription")
item:getBuyCosts():addCost(CoinCost:create(2500))
poultryRainTrigger = ActiveTrigger:create("Special")
poultryRainTrigger:addEffect(PoultryRain:create(2, 24, 8.0))
poultryRainTrigger:setRequirement(ComboSpecialCountRequirement:create(28))
item:getTriggerDispatcher():addActiveTrigger(poultryRainTrigger)
specialAttacks:getShopObjects():addObject(item)

return specialAttacks
