-- TODO: Use safe sandboxed environment
--require 'Scripts/safe_load.lua'

stats = ShopGroup:create("Stats")

statStack = ShopStack:create("Power")
stats:getShopObjects():addObject(statStack)

item = ShopItem:create("Power1")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(200))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power2")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(600))
item:setBuyRequirement(InventoryRequirement:create("Power1", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power3")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(1200))
item:setBuyRequirement(InventoryRequirement:create("Power2", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power4")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(2000))
item:setBuyRequirement(InventoryRequirement:create("Power3", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power5")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(3000))
item:setBuyRequirement(InventoryRequirement:create("Power4", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power6")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(4200))
item:setBuyRequirement(InventoryRequirement:create("Power5", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power7")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(5600))
item:setBuyRequirement(InventoryRequirement:create("Power6", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power8")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(7200))
item:setBuyRequirement(InventoryRequirement:create("Power7", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power9")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(9000))
item:setBuyRequirement(InventoryRequirement:create("Power8", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Power10")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(11000))
item:setBuyRequirement(InventoryRequirement:create("Power9", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddDamage:create(2))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)


statStack = ShopStack:create("Endurance")
stats:getShopObjects():addObject(statStack)

item = ShopItem:create("Endurance1")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(200))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance2")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(600))
item:setBuyRequirement(InventoryRequirement:create("Endurance1", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance3")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(1200))
item:setBuyRequirement(InventoryRequirement:create("Endurance2", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance4")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(2000))
item:setBuyRequirement(InventoryRequirement:create("Endurance3", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance5")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(3000))
item:setBuyRequirement(InventoryRequirement:create("Endurance4", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance6")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(4200))
item:setBuyRequirement(InventoryRequirement:create("Endurance5", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance7")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(5600))
item:setBuyRequirement(InventoryRequirement:create("Endurance6", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance8")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(7200))
item:setBuyRequirement(InventoryRequirement:create("Endurance7", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance9")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(9000))
item:setBuyRequirement(InventoryRequirement:create("Endurance8", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

item = ShopItem:create("Endurance10")
item:setStorageLocation(StorageLocation_HeroProfile)
item:getBuyCosts():addCost(CoinCost:create(11000))
item:setBuyRequirement(InventoryRequirement:create("Endurance9", 1))
statsTrigger = PassiveTrigger:create()
statsTrigger:addEffect(AddHealth:create(1))
item:getTriggerDispatcher():addPassiveTrigger(statsTrigger)
statStack:getShopItems():addObject(item)

return stats
